import Banner from "../pages/Banner";
import Login from "../pages/Login";
import Op from "../pages/Op";
import Feed from "../pages/Feed";
import StreamerManagement from "../pages/StreamerManagement";
import StreamerJoin from "../pages/StreamerJoin";
import Feedback from "../pages/Feedback";
import Contact from "../pages/Contact";
import UploadMedia from "../pages/UploadMedia";
import GoodsReview from "../pages/GoodsReview";
import MediaReview from "../pages/MediaReview";
import CommentsReview from "../pages/CommentsReview";
import OrdersQuerry from "../pages/OrdersQuerry";
import StreamerVerification from "../pages/StreamerVerification";
import ImageMachineReview from "../pages/ImageMachineReview";
import TextMachineReview from "../pages/TextMachineReview";
import ManualRechargeAndWithdrawal from "../pages/ManualRechargeAndWithdrawal";

const routes = [
  {
    path: "/login",
    element: <Login />,
  },
  {
    path: "/",
    element: <Op />,
    children: [
      {
        path: "banner/*",
        element: <Banner />,
      },
      {
        path: "feed/*",
        element: <Feed />,
      },
      {
        path: "streamerManagement/*",
        element: <StreamerManagement />,
      },
      {
        path: "streamerJoin/*",
        element: <StreamerJoin />,
      },
      {
        path: "streamerVerification/*",
        element: <StreamerVerification />,
      },
      {
        path: "feedback/*",
        element: <Feedback />,
      },
      {
        path: "contact/*",
        element: <Contact />,
      },
      {
        path: "uploadMedia/*",
        element: <UploadMedia />,
      },
      {
        path: "goodsReview/*",
        element: <GoodsReview />,
      },
      {
        path: "mediaReview/*",
        element: <MediaReview />,
      },
      {
        path: "commentsReview/*",
        element: <CommentsReview />,
      },
      {
        path: "ordersQuerry/*",
        element: <OrdersQuerry />,
      },
      {
        path: "imageMachineReview/*",
        element: <ImageMachineReview />,
      },
      {
        path: "textMachineReview/*",
        element: <TextMachineReview />,
      },
      {
        path: "manualRechargeAndWithdrawal/*",
        element: <ManualRechargeAndWithdrawal />,
      },
    ],
  },
];

export default routes;
